{
  "format_version": "1.10.0",
  "minecraft:client_entity": {
    "description": {
      "identifier": "nicothekid:projectile_blazing_pearl",
      "materials": {
        "default": "fireball"
      },
      "textures": {
        "default": "textures/projectiles/nicos_item_expansion/nicothekid_projectile_blazing_pearl"
      },
      "geometry": {
        "default": "geometry.item_sprite"
      },
      "render_controllers": [
        "controller.render.item_sprite"
      ],
      "animations": {
        "flying": "animation.actor.billboard"
      },
      "particle_effects": {
        "fire_impact_particle": "nicothekid:fire_impact_particle"
      },
      "scripts": {
        "animate": [
          "flying"
        ]
      }
    }
  }
} 